## mahara 1.2.4

=== debian/changelog ===
mahara (1.2.4-1) unstable; urgency=high

  * New upstream release
    - fix for SQL injection (CVE-2010-0400)

 -- Francois Marier <francois@debian.org>  Tue, 06 Apr 2010 21:07:03 +1200

mahara (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Fix error in postrm script for when /usr/share/mahara/theme/ doesn't exist

  * Bump Standards-Version to 3.8.4
  * Switch team maintenance email address to a Launchpad mailing list

 -- Francois Marier <francois@debian.org>  Mon, 08 Feb 2010 11:58:22 +1300

mahara (1.2.0-2) unstable; urgency=low

  * Fix postrm script so that Mahara can be uninstalled

 -- Francois Marier <francois@debian.org>  Fri, 27 Nov 2009 22:09:03 +1300

mahara (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Replace smarty with dwoo in dependencies and post{inst,rm} scripts
  * Remove snoopy which is no longer used in Mahara
  * Update config.php based on upstream's config-dist.php

  * Remove Nigel from uploaders
  * Update download URL in debian/watch and debian/copyright
  * Switch to source package format 3.0 (quilt)
  * Update copyright year in debian/copyright

 -- Francois Marier <francois@debian.org>  Fri, 27 Nov 2009 16:49:48 +1300

mahara (1.1.7-1) unstable; urgency=high

  * New upstream release
    - Privilege escalation fix (CVE-2009-3298)
    - XSS fix (CVE-2009-3299)

  * Bump Standards-Version up to 3.8.3
  * Switch packaging license to refer to GPL-3
  * debian/mahara.config: Move -e to a separate line to silence lintian

 -- Francois Marier <francois@debian.org>  Fri, 30 Oct 2009 13:46:40 +1300

mahara (1.1.6-1) unstable; urgency=low

  * New Upstream Version
  * README.Debian: must specify the character set when creating a database
    in the default instal of MySQL on Debian

 -- Francois Marier <francois@debian.org>  Thu, 06 Aug 2009 22:22:01 +1200

mahara (1.1.5-1) unstable; urgency=high

  * New Upstream Version
    - fixes multiple xSS vulnerabilities
    - fix for an information disclosure bug
  * Bump Standards-Version to 3.8.2

 -- Francois Marier <francois@debian.org>  Mon, 22 Jun 2009 15:17:25 +1200

mahara (1.1.3-1) unstable; urgency=high

  * New Upstream Version
    - fixes XSS issues in user profile field and text boxes in user views
      (CVE-2009-0664)
    - fixes remote code execution in the bundled copy of html2text
      (CVE-2008-5619, closes: #524778)
  * Bump Standards-Version to 3.8.1 (no changes)
  * Remove execute bit on a bunch of Javascript files (lintian warning)

 -- Francois Marier <francois@debian.org>  Wed, 22 Apr 2009 17:06:36 +1200

mahara (1.1.2-1) unstable; urgency=high

  * New Upstream Version
    - fixes multiple XSS vulnerabilities (CVE-2009-0660)

 -- Francois Marier <francois@debian.org>  Tue, 10 Mar 2009 19:44:14 +1300

mahara (1.1.1-1) unstable; urgency=medium

  * New Upstream Version
    - fixes broken upgrades on MySQL

 -- Francois Marier <francois@debian.org>  Mon, 02 Mar 2009 12:08:42 +1300

mahara (1.1.0-1) unstable; urgency=low

  * New Upstream Version
  * Add dependency on php5-curl (instead of being only recommended)
  * Mention the 3rd install step (logging in as admin) in README.Debian

 -- Francois Marier <francois@debian.org>  Thu, 26 Feb 2009 12:57:40 +1300

mahara (1.0.9-2) unstable; urgency=low

  * debian/mahara.postrm: delete the snoopy symlink
  * debian/mahara.postinst: create a lib/smarty/libs symlink when necessary
    (for example on Ubuntu)

 -- Francois Marier <francois@debian.org>  Mon, 09 Feb 2009 17:55:38 +1300

mahara (1.0.9-1) unstable; urgency=high

  * New Upstream Version
    - fixes XSS vulnerability in forum posts
  * debian/copyright: add the word "copyright" to fix a lintian notice

 -- Francois Marier <francois@debian.org>  Tue, 03 Feb 2009 18:26:32 +1300

mahara (1.0.6-1) unstable; urgency=low

  * New upstream version

 -- Francois Marier <francois@debian.org>  Sun, 09 Nov 2008 23:45:15 +1300

mahara (1.0.5-2) unstable; urgency=high

  * Depend on libphp-snoopy instead of using the embedded copy shipped
    with Mahara (CVE-2008-4796, closes: #504170)
  * Backport upstream's patch (41189c30d198153dc66dc867e160dab948929458)
    to phpmailer (CVE-2007-3125, closes: #504253)
  * Add lintian overrides for the customised embedded libraries

 -- Francois Marier <francois@debian.org>  Mon, 03 Nov 2008 19:16:44 +1300

mahara (1.0.5-1) unstable; urgency=low

  * New Upstream Version
  * Fix comments in maintainer scripts (closes: #491924)
  * Add lintian override for embedded copies of mochikit
  * Bump debhelper compatibility to 7 to use dh_lintian

 -- Francois Marier <francois@debian.org>  Mon, 29 Sep 2008 13:00:12 +1300

mahara (1.0.4-2) unstable; urgency=low

  * Compress the package using bzip2
  * Remove non-userdata directories in /var/lib/mahara when purging
  * Clarify the MySQL instructions in README.Debian

  * Add Galician debconf translation (closes: #488185). Thanks Jacobo!
  * Add Japanese debconf translation (closes: #488338). Thanks Tsunoda!
  * Add Czech debconf translation (closes: #488368). Thanks Miroslav!
  * Add Turkish debconf translation (closes: #488507). Thanks Mert!
  * Add Russian debconf translation (closes: #489168). Thanks Yuri!
  * Add Finnish debconf translation (closes: #489121). Thanks Esko!
  * Add Vietnamese debconf translation (closes: #489402). Thanks Clytie! 

 -- Francois Marier <francois@debian.org>  Mon, 07 Jul 2008 11:23:15 +1200

mahara (1.0.4-1) unstable; urgency=low

  [ Francois Marier ]
  * Add Swedish debconf translation (closes: #487724). Thanks Martin!
  * Remove outdated NEWS file

  [ Nigel McNie ]
  * New Upstream Version

 -- Francois Marier <francois@debian.org>  Wed, 25 Jun 2008 16:52:34 +1200

mahara (1.0.3-1) unstable; urgency=low

  [ Nigel McNie ]
  * New Upstream Version
  * Tweak apache rules to give access to some required files (closes: #479858)

  [ Francois Marier ]
  * Bump Standards-Version up to 3.8.0
  * Bump the Postgres version number to 8.3 to match the latest version in sid


