=== debian/control ===
Source: mahara
Section: web
Priority: optional
Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
Build-Depends: debhelper (>= 7), po-debconf
Standards-Version: 3.8.4
Homepage: http://www.mahara.org
Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary

Package: mahara
Architecture: all
Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl
Recommends: mahara-apache2, postgresql | postgresql-8.3 | mysql-server | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
Description: Electronic portfolio, weblog, and resume builder
 Mahara is a fully featured electronic portfolio, weblog, resume builder and
 social networking system, connecting users and  creating online communities.
 .
 Mahara is designed to provide users with the tools to create a personal and
 professional learning and development environment.
 .
 This is the core Mahara package, it does not include any of the web server
 configuration.

Package: mahara-apache2
Architecture: all
Depends: ${misc:Depends}, mahara (>= 1.0.1-1), apache2, libapache2-mod-php5
Conflicts: mahara-apache
Description: Electronic portfolio, weblog, and resume builder - apache2 configuration
 Mahara is a fully featured electronic portfolio, weblog, resume builder and
 social networking system, connecting users and  creating online communities.
 .
 Mahara is designed to provide users with the tools to create a personal and
 professional learning and development environment.
 .
 This package configures Mahara for the Apache 2.x web server.
