=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
 Build-Depends: debhelper (>= 7), po-debconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl
-Recommends: mahara-apache2, postgresql | postgresql-8.3 | mysql-server | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier
+Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1 | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
  social networking system, connecting users and  creating online communities.
