=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR.php
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/dwoo/dwoo
+	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/htmlpurifier
 
 	# Fix broken permissions
 	chmod -x $(CURDIR)/debian/mahara/usr/share/mahara/lib/pieforms/pieform/*/*.php
