## mahara 1.2.6

=== debian/changelog ===
mahara (1.2.6-2+squeeze2) stable-security; urgency=high

  * SECURITY UPDATE: fixes to session key validation (CSRF)
    - debian/patches/CVE-2011-1403.patch: upstream patch

  * SECURITY UPDATE: privilege escalations
    - debian/patches/CVE-2011-1402.patch: upstream patch

  * SECURITY UPDATE: information disclosure in AJAX calls
    - debian/patches/CVE-2011-1404.patch: upstream patch

  * SECURITY UPDATE: https to http downgrade
    - debian/patches/CVE-2011-1406.patch: upstream patch

  * SECURITY UPDATE: sanitisation of HTML emails
    - debian/patches/CVE-2011-1405.patch: upstream patch

 -- Francois Marier <francois@debian.org>  Mon, 09 May 2011 13:30:06 +1200

mahara (1.2.6-2+squeeze1) stable-security; urgency=high

  * SECURITY UPDATE: cross-site scripting vulnerability
    - debian/patches/CVE-2011-0439.dpatch: upstream patch
    - CVE-2011-0439

  * SECURITY UPDATE: possible cross-site request forgery (deleting blogs)
    - debian/patches/CVE-2011-0440.dpatch: upstream patch
    - CVE-2011-0440

 -- Francois Marier <francois@debian.org>  Fri, 18 Mar 2011 15:51:03 +1300

mahara (1.2.6-2) unstable; urgency=medium

  * Move flowplayer.audio to the contrib package as well
  * Add an allow rule in apache.conf for flowplayer.audio

 -- Francois Marier <francois@debian.org>  Mon, 06 Sep 2010 20:59:44 +1200

mahara (1.2.6-1) unstable; urgency=medium

  * New upstream release (to address #591200):
    - removal of the tinymce media plugin
    - replaced the non-free media player with flowplayer

  * Move mediaplayer into a separate contrib package (closes: #591200)
  * Relax the deny rule on serving lib to make flowplayer work
  * Add a dependency on tinymce and use that instead of bundled version

  * Bump Standards-Version up to 3.9.1
  * Urgency set to medium because of RC bug

 -- Francois Marier <francois@debian.org>  Mon, 06 Sep 2010 20:51:17 +1200
