=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
 Build-Depends: debhelper (>= 7), po-debconf
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier, tinymce
 Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1 | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Suggests: mahara-mediaplayer
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
  social networking system, connecting users and  creating online communities.
@@ -36,3 +36,17 @@
  professional learning and development environment.
  .
  This package configures Mahara for the Apache 2.x web server.
+
+Section: contrib/web
+Package: mahara-mediaplayer
+Architecture: all
+Depends: ${misc:Depends}, mahara (>= ${source:Version})
+Conflicts: mahara-apache
+Description: Electronic portfolio, weblog, and resume builder - internal media player
+ Mahara is a fully featured electronic portfolio, weblog, resume builder and
+ social networking system, connecting users and  creating online communities.
+ .
+ Mahara is designed to provide users with the tools to create a personal and
+ professional learning and development environment.
+ .
+ This package includes a flash-based internal media player block.
