=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
-Build-Depends: debhelper (>= 7), po-debconf
+Build-Depends: debhelper (>= 8), po-debconf
 Standards-Version: 3.9.1
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
