## mahara 1.4.0

=== debian/changelog ===
mahara (1.4.0-1ubuntu0.2) oneiric-security; urgency=low

  * SECURITY UPDATE: Fix default config for sites with multiple SAML instances
    - Default configuration changed to prevent impersonation (LP: #958841)
    - debian/patches/saml_multi_default_config.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Wed, 21 Mar 2012 14:43:12 +1300

mahara (1.4.0-1ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: XSS in unvalidated URI attributes
    - Added a filter to sanitise user input urls (LP: #888358)
    - debian/patches/CVE-2011-2771.patch: upstream patch
    - CVE-2011-2771

  * SECURITY UPDATE: DoS attack via invalid or excessively large images
    - Added a check to evaluate available memory before processing
      (LP: #888358)
    - debian/patches/CVE-2011-2772.patch: upstream patch
    - CVE-2011-2772

  * SECURITY UPDATE: XSRF allowing attackers to trick an admin into adding
    them to an institution
    - remove unreferenced and vulnerable addtoinstitution.php (LP: #888358)
    - debian/patches/CVE-2011-2773.patch: upstream patch
    - CVE-2011-2773

  * SECURITY UPDATE: Information disclosure exposing private messages
    - User check to ensure they are conversation participant (LP: #888358)
    - debian/patches/CVE-2011-2774.patch: upstream patch
    - CVE-2011-2774

  * SECURITY UPDATE: Prevent masquerading users from jumping as others
    - Added a check to prevent jumping as other users. (LP: #888358)
    - debian/patches/mnet_masquerading.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Thu, 03 Nov 2011 22:32:45 +0000

mahara (1.4.0-1) unstable; urgency=low

  * New major upstream release
    - upstream .htaccess file has been removed

  * Add missing (empty) build targets in debian/rules (lintian warning)

 -- Francois Marier <francois@debian.org>  Wed, 22 Jun 2011 14:58:47 +1200

mahara (1.3.6-1) unstable; urgency=high

  * New upstream release (major security fixes):
    - CVE-2011-1402
    - CVE-2011-1403
    - CVE-2011-1404
    - CVE-2011-1405
    - CVE-2011-1406

  * Fix versioned dependency of mahara-apache2
  * Drop mysql-server-5.0 recommendation
  * Bump Standards-Version up to 3.9.2

 -- Francois Marier <francois@debian.org>  Tue, 10 May 2011 13:55:55 +1200

mahara (1.3.5-1) unstable; urgency=low

  * Major new upstream release
    - compatibility with HTML Purifier 4.3.0

  * Remove unused Mochikit lintian override
  * Update path of flowplayer in debian/rules
  * Fix more broken permissions in debian/rules
  * Add dependency on ttf-bitstream-vera and remove Mahara's bundled copy
  * Sync Uploaders field with Launchpad Team

 -- Francois Marier <francois@debian.org>  Mon, 11 Apr 2011 15:52:10 +1200
