=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
-Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
+Uploaders: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 8), po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier, tinymce
-Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1 | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier (>= 4.3.0), tinymce, ttf-bitstream-vera
+Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
 Suggests: mahara-mediaplayer
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
@@ -27,7 +27,7 @@
 
 Package: mahara-apache2
 Architecture: all
-Depends: ${misc:Depends}, mahara (>= 1.0.1-1), apache2, libapache2-mod-php5
+Depends: ${misc:Depends}, mahara (>= ${source:Version}), apache2, libapache2-mod-php5
 Conflicts: mahara-apache
 Description: Electronic portfolio, weblog, and resume builder - apache2 configuration
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
