=== debian/changelog ===
mahara (1.4.1-1) unstable; urgency=low

  * New upstream release
    - CVE-2011-2771
    - CVE-2011-2772
    - CVE-2011-2773
    - CVE-2011-2774

 -- Francois Marier <francois@debian.org>  Fri, 04 Nov 2011 12:16:06 +1300
