## mahara 1.4.2

=== debian/changelog ===
mahara (1.4.2-1) unstable; urgency=high

  * New upstream release
  * SECURITY UPDATE: Fix default config for sites with multiple SAML instances
    - Default configuration changed to prevent impersonation

 -- Melissa Draper <melissa@catalyst.net.nz>  Wed, 14 Mar 2012 01:53:32 +0000
