=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
-Uploaders: Francois Marier <francois@debian.org>
+Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Uploaders: Melissa Draper <melissa@catalyst.net.nz>
 Build-Depends: debhelper (>= 8), po-debconf
 Standards-Version: 3.9.2
 Homepage: http://www.mahara.org
