=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 	touch configure-stamp
 
 build: configure-stamp
+build-arch: build
+build-indep: build
 
 install: configure-stamp
 	dh_testdir
@@ -41,16 +43,24 @@
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR.php
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/dwoo/dwoo
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/htmlpurifier
+	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/js/tinymce
+	rm $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Canvas/Fonts/Vera.ttf
+	rmdir $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Graph/Images/Maps/
 
 	# Fix broken permissions
-	chmod -x $(CURDIR)/debian/mahara/usr/share/mahara/lib/pieforms/pieform/*/*.php
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.gif" -exec chmod -x {} \;
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.jpg" -exec chmod -x {} \;
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.png" -exec chmod -x {} \;
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.tpl" -exec chmod -x {} \;
+
+	# Move mediaplayer block into the contrib package
+	mv $(CURDIR)/debian/mahara/usr/share/mahara/artefact/file/blocktype/internalmedia $(CURDIR)/debian/mahara-mediaplayer/usr/share/mahara/artefact/file/blocktype/
 
 	# Config files (common package)
 	cp $(CURDIR)/debian/config.php $(CURDIR)/debian/mahara/etc/mahara/
 	cp $(CURDIR)/htdocs/robots.txt $(CURDIR)/debian/mahara/etc/mahara/
 
 	# Config file (-apache2)
-	cp $(CURDIR)/htdocs/.htaccess $(CURDIR)/debian/mahara-apache2/usr/share/mahara
 	cp $(CURDIR)/debian/apache.conf $(CURDIR)/debian/mahara-apache2/etc/mahara/apache.conf
 
 clean:
