=== debian/changelog ===
mahara (1.5.1-2) unstable; urgency=high

  * SECURITY UPDATE: Fix multiple cross-site scripting vulnerabilities
    - Sanitize json-encode login form when injected by js
    - Sanitize links in links and resources menu
    - Sanitize file description for blog image editor
    - Add escaping to user_display_name by adding to dwoo template
    - debian/patches/CVE-2012-2237-0001.patch: upstream patch
    - debian/patches/CVE-2012-2237-0002.patch: upstream patch
    - debian/patches/CVE-2012-2237-0003.patch: upstream patch
    - debian/patches/CVE-2012-2237-0004.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Mon, 16 Jul 2012 09:37:07 +0000

mahara (1.5.1-1) unstable; urgency=low

  [ Melissa Draper ]
  * New major upstream release
    - Improved password storage
    - Database triggers
    - php minimum version now 5.3

  * Drop dependency on Dwoo and use bundled version instead
  * Update versioned dependencies on Postgres and MySQL
  * Add libjs-jquery dependency
  * Bump Standards-Version up to 3.9.3
  * Bump debhelper compatibility to 9

  [ Francois Marier ]
  * Fix watch file
  * Update homepage URL in debian/control 
  * Update Alioth URLs

 -- Melissa Draper <melissa@catalyst.net.nz>  Thu, 31 May 2012 12:03:15 +1200
