=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Melissa Draper <melissa@catalyst.net.nz>
-Build-Depends: debhelper (>= 8), po-debconf
-Standards-Version: 3.9.2
-Homepage: http://www.mahara.org
-Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
+Build-Depends: debhelper (>= 9), po-debconf
+Standards-Version: 3.9.3
+Homepage: https://mahara.org
+Vcs-Git: git://anonscm.debian.org/collab-maint/mahara.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier (>= 4.3.0), tinymce, ttf-bitstream-vera
-Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, php5-curl, php-htmlpurifier, tinymce, libjs-jquery, ttf-bitstream-vera
+Recommends: mahara-apache2, postgresql-9.2 | postgresql-9.1 | postgresql | mysql-server-5.5 | mysql-server-5.1 | mysql-server, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
 Suggests: mahara-mediaplayer
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
