=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,9 @@
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/File.php
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR.php
-	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/dwoo/dwoo
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/htmlpurifier
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/js/tinymce
+	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/js/jquery
 	rm $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Canvas/Fonts/Vera.ttf
 	rmdir $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Graph/Images/Maps/
