=== debian/watch ===
version=3
https://launchpad.net/mahara/+download https://launchpad.net/mahara/[\d.]+/[\d.]+/\+download/mahara-([\d.]+).tar.gz
